JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
RangedAudioParameterAttributes< Derived, Value > Class Template Reference
juce_audio_processors » utilities

`#include <juce_RangedAudioParameter.h>`

## Public Types
using | Category = AudioProcessorParameter::Category
using | StringFromValue = std::function<String (Value, int)>
using | ValueFromString = std::function<Value (const String&)>

## Public Member Functions
auto | withStringFromValueFunction (StringFromValue x) const
| An optional lambda function that converts a non-normalised value to a string with a maximum length.
auto | withValueFromStringFunction (ValueFromString x) const
| An optional lambda function that parses a string and converts it into a non-normalised value.
auto | withLabel (String x) const
| See AudioProcessorParameterWithIDAttributes::withLabel()
auto | withCategory (Category x) const
| See AudioProcessorParameterWithIDAttributes::withCategory()
auto | withMeta (bool x) const
| See AudioProcessorParameter::isMetaParameter()
auto | withAutomatable (bool x) const
| See AudioProcessorParameter::isAutomatable()
auto | withInverted (bool x) const
| See AudioProcessorParameter::isOrientationInverted()
const auto & | getStringFromValueFunction () const
| An optional lambda function that converts a non-normalised value to a string with a maximum length.
const auto & | getValueFromStringFunction () const
| An optional lambda function that parses a string and converts it into a non-normalised value.
const auto & | getAudioProcessorParameterWithIDAttributes () const
| Gets attributes that would also apply to an AudioProcessorParameterWithID.

## Member Typedef Documentation

## ◆ Category

template<typename Derived , typename Value >

using RangedAudioParameterAttributes< Derived, Value >::Category = AudioProcessorParameter::Category

## ◆ StringFromValue

template<typename Derived , typename Value >

using RangedAudioParameterAttributes< Derived, Value >::StringFromValue = std::function<String (Value, int)>

## ◆ ValueFromString

template<typename Derived , typename Value >

using RangedAudioParameterAttributes< Derived, Value >::ValueFromString = std::function<Value (const String&)>

## Member Function Documentation

## ◆ withStringFromValueFunction()

template<typename Derived , typename Value >

auto RangedAudioParameterAttributes< Derived, Value >::withStringFromValueFunction | ( | StringFromValue | x | ) | const

An optional lambda function that converts a non-normalised value to a string with a maximum length.

This may be used by hosts to display the parameter's value.

References withMember(), and x.

Referenced by AudioProcessorValueTreeStateParameterAttributes::withStringFromValueFunction().

## ◆ withValueFromStringFunction()

template<typename Derived , typename Value >

auto RangedAudioParameterAttributes< Derived, Value >::withValueFromStringFunction | ( | ValueFromString | x | ) | const

An optional lambda function that parses a string and converts it into a non-normalised value.

Some hosts use this to allow users to type in parameter values.

References withMember(), and x.

Referenced by AudioProcessorValueTreeStateParameterAttributes::withValueFromStringFunction().

## ◆ withLabel()

template<typename Derived , typename Value >

auto RangedAudioParameterAttributes< Derived, Value >::withLabel | ( | String | x | ) | const

See AudioProcessorParameterWithIDAttributes::withLabel()

References AudioProcessorParameterWithIDAttributes::withLabel(), withMember(), and x.

Referenced by AudioProcessorValueTreeStateParameterAttributes::withLabel().

## ◆ withCategory()

template<typename Derived , typename Value >

auto RangedAudioParameterAttributes< Derived, Value >::withCategory | ( | Category | x | ) | const

See AudioProcessorParameterWithIDAttributes::withCategory()

References AudioProcessorParameterWithIDAttributes::withCategory(), withMember(), and x.

Referenced by AudioProcessorValueTreeStateParameterAttributes::withCategory().

## ◆ withMeta()

template<typename Derived , typename Value >

auto RangedAudioParameterAttributes< Derived, Value >::withMeta | ( | bool | x | ) | const

See AudioProcessorParameter::isMetaParameter()

References withMember(), AudioProcessorParameterWithIDAttributes::withMeta(), and x.

Referenced by AudioProcessorValueTreeStateParameterAttributes::withMeta().

## ◆ withAutomatable()

template<typename Derived , typename Value >

auto RangedAudioParameterAttributes< Derived, Value >::withAutomatable | ( | bool | x | ) | const

See AudioProcessorParameter::isAutomatable()

References AudioProcessorParameterWithIDAttributes::withAutomatable(), withMember(), and x.

Referenced by AudioProcessorValueTreeStateParameterAttributes::withAutomatable().

## ◆ withInverted()

template<typename Derived , typename Value >

auto RangedAudioParameterAttributes< Derived, Value >::withInverted | ( | bool | x | ) | const

See AudioProcessorParameter::isOrientationInverted()

References AudioProcessorParameterWithIDAttributes::withInverted(), withMember(), and x.

Referenced by AudioProcessorValueTreeStateParameterAttributes::withInverted().

## ◆ getStringFromValueFunction()

template<typename Derived , typename Value >

const auto & RangedAudioParameterAttributes< Derived, Value >::getStringFromValueFunction | ( |  | ) | const

An optional lambda function that converts a non-normalised value to a string with a maximum length.

This may be used by hosts to display the parameter's value.

## ◆ getValueFromStringFunction()

template<typename Derived , typename Value >

const auto & RangedAudioParameterAttributes< Derived, Value >::getValueFromStringFunction | ( |  | ) | const

An optional lambda function that parses a string and converts it into a non-normalised value.

Some hosts use this to allow users to type in parameter values.

## ◆ getAudioProcessorParameterWithIDAttributes()

template<typename Derived , typename Value >

const auto & RangedAudioParameterAttributes< Derived, Value >::getAudioProcessorParameterWithIDAttributes | ( |  | ) | const

Gets attributes that would also apply to an AudioProcessorParameterWithID.

The documentation for this class was generated from the following file:

- juce_RangedAudioParameter.h